## talksoup.app 1.0alpha-32-g55b4d4e

=== debian/changelog ===
talksoup.app (1.0alpha-32-g55b4d4e-2) unstable; urgency=medium

  * debian/control (Maintainer): Adopt package on behalf of the GNUstep
    team (Closes: #691831).
    (Uploaders): Add myself.
    (Build-Depends): Bump debhelper, remove obsolete version
    requirements.  Add imagemagick for the icon conversion.
    (Depends): Add ${misc:Depends} and ${gnustep:Depends}.
    (Homepage): Use the new upstream homepage.
    (Vcs-Git, Vcs-Browser): New fields.
    (Standards-Version): Claim compliance with 3.9.6 as of this release.
  * debian/compat: Set to 9.
  * debian/source/format: Switch to 3.0 (quilt) and move local
    modifications...
  * debian/patches/base-1.22.patch: ...here.
  * debian/patches/base-1.24.patch: New, adapt to the new GNUstep API
    (Closes: #749794).
  * debian/patches/link-libs.patch: New, link all needed libraries.
  * debian/patches/series: Create.
  * debian/rules: Rewrite to use modern debhelper.  Move all images to
    /usr/share/GNUstep/TalkSoup.app.  Generate/clean XPM icon.  Install
    the library in /usr/lib/talksoup.app.
  * debian/lintian-overrride:
  * debian/talksoup.app.links:
  * debian/dirs: Delete.
  * debian/install: New file.
  * debian/menu: Add icon and longtitle.
  * debian/TalkSoup.desktop: Add Keywords field and full path for the icon
    (Closes: #567218).
  * debian/README: Delete; obsolete.
  * debian/watch: New file; track new upstream.
  * debian/copyright: Rewrite in format 1.0.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 20 Oct 2014 20:48:59 +0300

talksoup.app (1.0alpha-32-g55b4d4e-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with gnustep-base/1.22 (Closes: #629215).
  * debian/control (Maintainer): Fix Gürkan's email address.

 -- Yavor Doganov <yavor@gnu.org>  Sat, 08 Oct 2011 15:01:32 +0300

talksoup.app (1.0alpha-32-g55b4d4e-1.1) unstable; urgency=low

  * Non-maintainer upload by sponsor.
  * Apply patch by Yavor Doganov <yavor@gnu.org> to fix FTBTS.
    (Closes: #581987)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 13 Aug 2010 00:23:20 +0200

talksoup.app (1.0alpha-32-g55b4d4e-1) unstable; urgency=low

  * New upstream version.
  * GNUstep transition. (Closes: #447448)
    + Updated debian/rules.
  * Rebuild against latest libgnustep-gui-dev. (Closes: #391003)
    Many thanks to Yavor Doganov for the patch.
  * Updated manual page.
  * Bump standards version (no changes needed).
  * Updated debian/copyright.
  * Bumped compat level to 5.
  * ACK NMUs. (Closes: #356541, #350080)

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Tue, 06 Nov 2007 01:30:05 +0100

talksoup.app (0.0.20040113-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Update libgnustep-gui build-dep (Closes: #350080).
  * Use gsdh_gnustep.

 -- Luk Claes <luk@debian.org>  Sun, 12 Mar 2006 17:54:02 +0100

talksoup.app (0.0.20040113-1) unstable; urgency=low

  * Renamed source package to talksoup.app.
  * Fixed debian/copyright.
  * Updated debian/control build-depends for GNUstep 0.9.4.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Tue, 23 Nov 2004 22:35:36 +0100

talksoup (0.0.20040113-0.1) unstable; urgency=low

  * NMU to correct build issue.

 -- Brent A. Fulgham <bfulgham@debian.org>  Tue, 24 Aug 2004 22:20:49 -0700

talksoup (0.0.20032712-4) unstable; urgency=low

  * Renamed binary package to talksoup.app
  * Updated build-depends to latest gnustep
  * Added Provides: irc

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Thu, 29 Jul 2004 01:30:08 +0200

talksoup (0.0.20032712-3) unstable; urgency=low

  * Some build-depends were renamed (netclasses-frameworks).

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Mon,  5 Apr 2004 23:55:53 +0200

talksoup (0.0.20032712-2) unstable; urgency=low

  * Added missing build-depends gnustep-make. (Closes: #240720)
  * Updated the GNUstep.sh path.
  * Dropped .app from debian/menu and debian/talksoup.sh
  * Removed versions from build-depends.
      
 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Tue, 30 Mar 2004 00:13:56 +0200

talksoup (0.0.20032712-1) unstable; urgency=low

  * Initial Release.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Tue, 30 Dec 2003 21:18:16 +0100
