=== debian/control ===
Source: talksoup.app
Section: net
Priority: optional
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders: Yavor Doganov <yavor@gnu.org>
Build-Depends: debhelper (>= 9),
	       libgnustep-gui-dev,
	       libnetclasses-dev,
	       gnustep-make (>= 2.6.6-2),
	       imagemagick
Standards-Version: 3.9.6
Homepage: http://gap.nongnu.org/talksoup/
Vcs-Git: git://anonscm.debian.org/pkg-gnustep/talksoup.app.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gnustep/talksoup.app.git

Package: talksoup.app
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 ${gnustep:Depends}
Description: IRC client for GNUstep
 TalkSoup is a GNUstep IRC client built on the extensibility of the
 Objective-C language. The entire IRC client is implemented by plugins,
 so one can pick and choose what they want to use.
