=== debian/watch ===
version=3
http://download.savannah.gnu.org/releases/gap/TalkSoup-(.*)\.tar\.gz
