## talksoup.app 1.1

=== debian/changelog ===
talksoup.app (1.1-1build4) questing; urgency=medium

  * Rebuild against latest gnustep

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 May 2025 08:36:59 -0400

talksoup.app (1.1-1build3) plucky; urgency=medium

  * Rebuild against new multiarch framework.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Feb 2025 19:23:50 +0100

talksoup.app (1.1-1build2) plucky; urgency=medium

  * No-change rebuild for libnetclasses1

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 14 Nov 2024 22:17:15 +0000

talksoup.app (1.1-1build1) oracular; urgency=medium

  * Rebuild against gnustep 1.30

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 05 Jul 2024 17:41:12 -0400

talksoup.app (1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/base-1.22.patch: Delete; applied upstream.
  * debian/patches/base-1.24.patch: Delete; was taken from upstream.
  * debian/patches/link-libs.patch: Refresh.
  * debian/gbp.conf: New file.
  * debian/control: Strip trailing whitespace.
    (Build-Depends): Switch to the debhelper-compat mechanism; bump compat
    level to 13.  Drop gnustep-make.
    (Depends): Remove ${gnustep:Depends}; obsolete.
    (Rules-Requires-Root): Set to "no".
    (Standards-Version): Claim compiance with 4.6.2.
    (Vcs-Git, Vcs-Browser): Switch to salsa.d.o.
  * debian/compat: Delete.
  * debian/rules: Enable hardening.
    (bundles): Define to the new location w/i the app bundle.
    (DEB_LDFLAGS_MAINT_APPEND): Drop -Wl,--as-needed.
    (optim): Do not define; already done in config.mk.
    (override_dh_auto_build): Invoke dh_auto_build instead of $(MAKE).
    Pass $(verbose) instead of hardcoded "messages=yes" in order to
    support "terse" in DEB_BUILD_OPTIONS.  Don't create an XPM icon.
    (override_dh_auto_install): Run dh_auto_install.
    (override_dh_clean): Remove override.
    (override_dh_link): Amend recipe according to the new layout.  Create
    a PNG icon for the .desktop file (AppStream does not support TIFF).
  * debian/menu: Get rid.
  * debian/install: Don't install the XPM icon.
  * debian/TalkSoup.desktop: Use the PNG icon.
  * debian/changelog: Whitespace cleanup.
  * debian/watch: Bump version to 4; use https.
  * debian/copyright: Use https for Format URL.  Use new GAP location as
    Source URL.  Drop Misc/GNUstep.h stanza; file removed upstream.  Add
    GAP as copyright holder; update copyright years.
  * debian/lintian-overrides: New file; override lintian error(s)
    library-not-linked-against-libc -- these are the bundles and they're
    linked indirectly via gnustep-base and the Objective-C runtime.
  * debian/NEWS: New file; inform users that defaults must be deleted.

 -- Yavor Doganov <yavor@gnu.org>  Sun, 09 Jul 2023 02:50:50 +0300
