=== debian/control ===
Source: talksoup.app
Section: net
Priority: optional
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders: Yavor Doganov <yavor@gnu.org>
Build-Depends: debhelper-compat (= 13),
	       libgnustep-gui-dev,
	       libnetclasses-dev,
	       imagemagick
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: http://gap.nongnu.org/talksoup/
Vcs-Git: https://salsa.debian.org/gnustep-team/talksoup.app.git
Vcs-Browser: https://salsa.debian.org/gnustep-team/talksoup.app

Package: talksoup.app
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends},
Description: IRC client for GNUstep
 TalkSoup is a GNUstep IRC client built on the extensibility of the
 Objective-C language. The entire IRC client is implemented by plugins,
 so one can pick and choose what they want to use.
